Add Chat Message
Add a new message to a chat session
Authorizations
SuperOffice username:password are passed in Base64-encoded.
You can also pass inn an unencoded ticket 7T:abc== with the HTTP Authenticate header.
SuperOffice SuperId OAuth implicit flow. You need to issue a request to the SuperId authorization URL https://online.superoffice.com/login/common/oauth/authorize?response_type=token &client_id=670734e0-4c5a-11e3-be9e-a171392e81db &redirect_uri=https://example.com/spa/
passing in the application id and redirect URL.
SuperId will log the user in, and redirect to the requested redirect URL with a #payload containing the access token and claims. (The redirect URL must be registered with SuperId in advance)
https://example.com/spa#access_token=8A%3aCust12227.AXRrCITpPBvQX3UbIohb &token_type=bearer &state= &expires_in=3600 &ctx=Cust12227 &netserver_url=https%3a%2f%2fsod.superoffice.com%2fCust12227%2fRemote%2fServices82%2f
You can take the #access_token value and pass it as the Authenticate HTTP header as a BEARER token.
- Authorization URL
- https://online.superoffice.com/login/common/oauth/authorize
Headers
Convert string references and multi-language values into a specified language (iso2) code.
Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value.
Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set.
Specify the timezone code that you would like date/time responses converted to.
The application token that identifies the partner app. Used when calling Online WebAPI from a server.
Path Parameters
id of the chat session to add message to
Body
Message to add
A message in a chat session Carrier object for ChatMessage. Services for the ChatMessage Carrier is available from the Chat Agent.
The primary key (auto-incremented)
The reference to the associated chat session.
The type of the message.
Invalid, ToCustomer, ToUser, Special The message.
The author of the message.
Whether the message has been read by the customer or not.
Enum indicating if it is a special message, such as an URL redirection, etc.
None, Welcome, Url, Block, NewSession, TransferedSession, Error, SessionDeleted, FaqSuccessQuestion, ClosedByUser, ClosedByCustomer, ClosedByIdle, TransferRejected, ReopenedByCustomer, ClickedOption, BotMessage, Options, IllegalFileType Special parameter for the special_type.
When the message was posted (UTC timestamp).
Response
OK
A message in a chat session Carrier object for ChatMessage. Services for the ChatMessage Carrier is available from the Chat Agent.
The primary key (auto-incremented)
The reference to the associated chat session.
The type of the message.
Invalid, ToCustomer, ToUser, Special The message.
The author of the message.
Whether the message has been read by the customer or not.
Enum indicating if it is a special message, such as an URL redirection, etc.
None, Welcome, Url, Block, NewSession, TransferedSession, Error, SessionDeleted, FaqSuccessQuestion, ClosedByUser, ClosedByCustomer, ClosedByIdle, TransferRejected, ReopenedByCustomer, ClickedOption, BotMessage, Options, IllegalFileType Special parameter for the special_type.
When the message was posted (UTC timestamp).